# Copyright (c) 2000-2014, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           scalatest-for-scala29
Version:        1.8
Release:        1%{?dist}
Epoch:		0
Summary:        Scala 2.9.X Testing Toolkit
License:        Apache Software License 2.0
URL:            http://www.scalatest.org/
Source0:        scalatest-for-scala29-1.8.tgz
# svn export http://scalatest.googlecode.com/svn/tags/release-1.8-for-scala-2.9/ scalatest-for-scala29-1.8
# tar czf ../SOURCES/scalatest-for-scala29-1.8.tgz scalatest-for-scala29-1.8/
Source1:        http://central.maven.org/maven2/org/scalatest/scalatest_2.9.0/1.8/scalatest_2.9.0-1.8.pom
Patch0:         scalatest-for-scala29-build.patch
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant17
BuildRequires:  antlr
BuildRequires:  aopalliance
BuildRequires:  apache-commons-io
BuildRequires:  atinject
BuildRequires:  bsh2
BuildRequires:  cglib
BuildRequires:  cobertura
BuildRequires:  easymock3
BuildRequires:  google-guice3
BuildRequires:  hamcrest13
BuildRequires:  jcommander
BuildRequires:  jmock2
BuildRequires:  junit4
BuildRequires:  log4j
BuildRequires:  mockito
BuildRequires:  objectweb-asm
BuildRequires:  objenesis
BuildRequires:  oro
BuildRequires:  scala29
BuildRequires:  scalacheck
BuildRequires:  snakeyaml
BuildRequires:  stringtemplate
BuildRequires:  test-interface
BuildRequires:  testng

Requires:  java >= 0:1.6.0
Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:  ant17
Requires:  antlr
Requires:  aopalliance
Requires:  apache-commons-io
Requires:  atinject
Requires:  bsh2
Requires:  cglib
Requires:  cobertura
Requires:  easymock3
Requires:  google-guice3
Requires:  hamcrest13
Requires:  jcommander
Requires:  jmock2
Requires:  junit4
Requires:  log4j
Requires:  mockito
Requires:  objectweb-asm
Requires:  objenesis
Requires:  oro
Requires:  scala29
Requires:  scalacheck
Requires:  snakeyaml
Requires:  stringtemplate
Requires:  test-interface
Requires:  testng

%description
ScalaTest is a free, open-source testing toolkit for Scala 
and Java programmers.  Because different developers take 
different approaches to creating software, no single 
approach to testing is a good fit for everyone. In light of
this reality, ScalaTest is designed to facilitate different
styles of testing. ScalaTest provides several traits that 
you can mix together into whatever combination makes you 
feel the most productive.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -b .sav0

%build
ant \
    -Dorg.scala-lang:scala-library:jar=$(build-classpath scala29/scala29-library) \
    -Dorg.scala-lang:scala-compiler:jar=$(build-classpath scala29/scala29-compiler) \
    -Dorg.antlr:stringtemplate:jar=$(build-classpath stringtemplate) \
    -Dorg.easymock:easymock:jar=$(build-classpath easymock3) \
    -Dorg.easymock:easymockclassextension:jar=$(build-classpath easymock3-classextension) \
    -Dorg.jmock:jmock-legacy:jar=$(build-classpath jmock2/jmock2-legacy) \
    -Dorg.jmock:jmock:jar=$(build-classpath jmock2/jmock2) \
    -Dorg.mockito:mockito-all:jar=$(build-classpath mockito-all) \
    -Dorg.testng:testng:jar=$(build-classpath testng) \
    -Dcom.google.inject:guice:jar=$(build-classpath google-guice3) \
    -Djunit:junit:jar=$(build-classpath junit4) \
    -Dnet.sourceforge.cobertura:cobertura:jar=$(build-classpath cobertura) \
    -Dorg.apache.commons:commons-io:jar=$(build-classpath commons-io) \
    -Dantlr:antlr:jar=$(build-classpath antlr) \
    -Dcommons-io:commons-io:jar=$(build-classpath commons-io) \
    -Dcom.beust.jcommander:jcommander:jar=$(build-classpath jcommander) \
    -Dcglib:cglib-nodep:jar=$(build-classpath cglib-nodep) \
    -Doro:oro:jar=$(build-classpath oro) \
    -Daopalliance:aopalliance:jar=$(build-classpath aopalliance) \
    -Dorg.beanshell:bsh:jar=$(build-classpath bsh2/bsh) \
    -Dorg.hamcrest:hamcrest-core:jar=$(build-classpath hamcrest13/core) \
    -Dorg.hamcrest:hamcrest-library:jar=$(build-classpath hamcrest13/library) \
    -Dlog4j:log4j:jar=$(build-classpath log4j) \
    -Dasm:asm:jar=$(build-classpath objectweb-asm/asm) \
    -Dasm:asm-tree:jar=$(build-classpath objectweb-asm/asm-tree) \
    -Dobjenesis:objenesis:jar=$(build-classpath objenesis) \
    -Djavax.inject:javax.inject:jar=$(build-classpath javax.inject) \
    -Dorg.yaml:snakeyaml:jar=$(build-classpath snakeyaml) \
    -Dorg.scala-tools.testing:test-interface:jar=$(build-classpath test-interface) \
    -Dorg.scala-tools.testing:scalacheck_2.9.0:jar=$(build-classpath scalacheck) \
    -Dorg.apache.ant:ant:jar=$(build-classpath ant17) \
    -Dorg.apache.ant:ant-launcher:jar=$(build-classpath ant17-launcher) \
    dist


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/dist/lib/scalatest.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap org.scalatest scalatest_2.9.0 %{version} JPP %{name}
%add_to_maven_depmap org.scalatest scalatest_2.9.1 %{version} JPP %{name}
%add_to_maven_depmap org.scalatest scalatest_2.9.2 %{version} JPP %{name}
%add_to_maven_depmap org.scalatest scalatest_2.9.3 %{version} JPP %{name}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Sat Jul 19 2014 Ralph Apel <r.apel at r-apel.de> 0:1.8-1
- First release

